Package Details: php70 7.0.33-4

Git Clone URL: https://aur.archlinux.org/php70.git (read-only, click to copy)
Package Base: php70
Description: A general-purpose scripting language that is especially suited to web development
Upstream URL: http://www.php.net
Licenses: PHP
Provides: php=7.0.33
Submitter: betrixed
Maintainer: wget
Last Packager: wget
Votes: 10
Popularity: 0.000000
First Submitted: 2017-02-05 08:12
Last Updated: 2019-04-28 22:32

Required by (505)

Sources (11)

Pinned Comments

wget commented on 2018-04-24 22:41

This package makes use of GPG keys for integrity verification. Here are the PGP keys you need to import (if you trust them):

$ gpg --recv-keys 1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763 6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3

Receiving GPG keys might fail with the following error message: $ gpg: keyserver receive failed: Connection refused. If this happens, just check your DNS or use other ones.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

df8oe commented on 2021-04-29 06:29

I can confirm issue like @MrKMG reports - same for php71 packages.

MrKMG commented on 2021-03-15 18:53

I am getting the following errors while compiling with gcc version 10.2.0.

php-7.0.33/ext/intl/collator/collator_sort.c:347:26: error: ‘TRUE’ undeclared (first use in this function)
php-7.0.33/ext/intl/collator/collator_sort.c:541:26: error: ‘FALSE’ undeclared (first use in this function)

After some googling, it appears that nothing included contains #DEFINE TRUE or #DEFINE FALSE

Not sure what the appropriate way to address this is.

anxest commented on 2020-12-30 07:04

Looks like there is a new issue with icu:

php70 -v PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php70/modules/intl.so' - libicui18n.so.67: cannot open shared object file: No such file or directory in Unknown on line 0 PHP 7.0.33 (cli) (built: Sep 3 2020 05:45:19) ( NTS )

Building also fails on both of my arch computers:

make: *** [Makefile:1135 : ext/intl/collator/collator_sort.lo] Erreur 1 ==> ERREUR : Une erreur s’est produite dans build().

I couldn't find a solution so far, but still looking

contreras.joseja commented on 2020-07-31 16:14

$ gpg --keyserver hkp://hkps.pool.sks-keyservers.net:80 --recv-keys 1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763 6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3

wget commented on 2019-09-15 14:49

@gchamon I haven't been able to reproduce the problem. Could you test on a fresh ArchLinux VM?

gchamon commented on 2019-05-08 13:54

problem with ICU v63 was with extensions installed with pecl. Uninstalling ICU63 and reinstalling extensions is also a viable solution.

The problem with the Test open_basedir configuration still persists, but looking at bug 52176 it is related with symbolic links. My .cache is stored offsite, in a secondary hard drive's partition, and the way it is being mounted might be causing issues, but I can't confirm without reverting .cache back to my ssd, I don't think it is worth the hassle. Any updates I can install by just disabling tests, I know it is unsafe, but if I was really concerned with safety I would either be using a container or wouldn't be using an outdated php version at all.

thanks

wget commented on 2019-04-28 22:33

@gchamon I updated the package. Could you please retry from your side? The freeetype bug should be solved. But the one with icu, I cannot reproduce. :-/

gchamon commented on 2019-04-08 15:22

icu updated to v.64 and broke php70 in general

solution is to install package icu63 until php70 adds icu63 as a dependency

gchamon commented on 2019-04-08 14:40

After recent system update, a test started failing

Test open_basedir configuration

Also cannot enable intl and mongodb drivers due to missing icu driver (cannot reproduce error right now because php70 refuses to install)

gchamon commented on 2019-02-11 12:19

@wget package installed successfully. Thanks for maintaing this! This is a recurrent conversation topic where I work, why oh why must there be a migration guide for upgrading php between minor versions. Anyway thanks!